Skip to main content
GET
Get crypto deposit account order
Pass the destination wallet ID as wallet_id. Pass the wallet action ID of the deposit’s conversion as order_id, such as the action_id from the wallet_automation.submitted webhook. See get the order ID.

Authorizations

Authorization
string
header
required

Basic Auth header with your app ID as the username and your app secret as the password.

Headers

privy-app-id
string
required

ID of your Privy app.

Path Parameters

wallet_id
string
required

ID of the wallet.

order_id
string<uuid>
required

Wallet action ID of the deposit sweep.

Response

200 - application/json

The deposit-account sweep wallet-action id and status.

A crypto deposit-account sweep identified by its wallet action ID. Status is the wallet-action status.

id
string<uuid>
required

Wallet action ID of the deposit sweep.

status
enum<string>
required

Status of a wallet action.

Available options:
pending,
succeeded,
rejected,
failed